# Uses of Class
nu.xom.ProcessingInstruction

Packages that use ProcessingInstruction
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.
nu.xom.converters
`nu.xom.converters` contains classes that convert XOM documents to other models such as SAX and DOM.
nu.xom.tests
`nu.xom.tests` contains the JUnit based test suite for XOM.

## Uses of ProcessingInstruction in nu.xom

Methods in nu.xom that return ProcessingInstruction
Modifier and Type
Method
Description
`ProcessingInstruction`
ProcessingInstruction.`copy()`
Returns a deep copy of this processing instruction with no parent, that can be added to this document or a different one.
Methods in nu.xom with parameters of type ProcessingInstruction
Modifier and Type
Method
Description
`protected void`
Serializer.`write(ProcessingInstruction instruction)`
Writes a processing instruction onto the output stream using the current options.
Constructors in nu.xom with parameters of type ProcessingInstruction
Modifier
Constructor
Description
``
`ProcessingInstruction(ProcessingInstruction instruction)`
Create a copy of a processing instruction.

## Uses of ProcessingInstruction in nu.xom.converters

Methods in nu.xom.converters that return ProcessingInstruction
Modifier and Type
Method
Description
`static ProcessingInstruction`
DOMConverter.`convert(ProcessingInstruction pi)`
Translates a DOM `org.w3c.dom.ProcessingInstruction` object into an equivalent `nu.xom.ProcessingInstruction` object.

## Uses of ProcessingInstruction in nu.xom.tests

Methods in nu.xom.tests with parameters of type ProcessingInstruction
Modifier and Type
Method
Description
`static void`
XOMTestCase.`assertEquals(String message, ProcessingInstruction expected, ProcessingInstruction actual)`
Asserts that two processing instruction nodes are equal.
`static void`
XOMTestCase.`assertEquals(ProcessingInstruction expected, ProcessingInstruction actual)`
Asserts that two processing instruction nodes are equal.